/**
 * Create indent string.
 * @memberof module:apeman-logging/lib
 * @private
 * @function _indentMessage
 * @param {number} - Indent depth.
 */

"use strict";

var os = require('os');

var EOL = os['EOL'];

/** @lends _indentMessage */
function _indentMessage(msg, depth) {
    var indent = '';
    for (var i = 0; i < depth; i++) {
        indent += '\t';
    }
    return indent + msg.replace(new RegExp(EOL, 'g'), EOL + indent);
}

module.exports = _indentMessage;