/**
 * Format message.
 * @memberof module:apeman-logging/lib
 * @inner
 * @constructor MessageFormatter
 */

"use strict";

var os = require('os'),
    json2yaml = require('json2yaml'),
    EOL = os.EOL;

/** @lends MessageFormatter */
function MessageFormatter() {

}

MessageFormatter.prototype = {
    /**
     * Indent message.
     * @param {string} msg - Message format.
     * @param {number} depth - Depth to indent.
     * @returns {string} - Indented message.
     */
    indent: function (msg, depth) {
        var indent = '';
        for (var i = 0; i < depth; i++) {
            indent += '\t';
        }
        return indent + msg.replace(new RegExp(EOL, 'g'), EOL + indent);
    },
    /**
     * Convert to yaml format.
     * @param {object} data - Data to convert.
     * @returns {string} - Converted data.
     */
    toYaml: function (data) {
        return json2yaml.stringify(data);
    }
};

module.exports = MessageFormatter;
