/**
 * Test case for logger.
 * Runs with nodeunit.
 */

var ConsoleLogger = require('../lib/console_logger.js');

exports['Create a instance'] = function (test) {
    var logger = new ConsoleLogger({
        foo: 'bar'
    });
    test.ok(logger);
    test.equal(logger.foo, 'bar');
    test.done();
};

exports['Define a logger.'] = function (test) {
    var Defined = ConsoleLogger.define({
        foo: 'bar'
    });
    test.ok(Defined);
    var logger = new Defined({
        baz: 'quz'
    });
    test.ok(logger);
    test.equal(logger.foo, 'bar');
    test.equal(logger.baz, 'quz');
    test.done();
};

exports['Format test.'] = function (test) {
    var logger = new ConsoleLogger({
            indent: 4
        }),
        msg = logger._format('foo %s', 'bar');
    test.equal(msg, '\t\t\t\tfoo bar');
    test.done();
};
